## android-audiosystem 1.0-1-newyork10

=== app/Makefile ===
make_home := ..
top_srcdir := ..

include $(make_home)/project_make
include $(make_home)/package_make

#######################
# CUSTOMIZE MACROS HERE
#######################

# name your binary here
PKG_APP = audiotest

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = test.c
#CCFILES =
#CPPFILES = test.cpp 
#CXXFILES =

FORCE_CXX_LINK = FALSE

# if this app depends on private static library built
# by this package, uncomment next line
# STATIC_LIBS = ../lib/waudio/libwaudio.a ../lib/libmedia/libmedia.a ../lib/libbinder/libbinder.a ../lib/libutils/libutils.a ../lib/libcutils/libcutils.a ../lib/liblog/liblog.a

# modify compiler command-line options
# CFLAGS = -fPIC

# add system libraries to link line
#LDSYSLIBS =

# modify linker command-line options, e.g.,
# -L and -l to specify shared libraries built by this package
LDFLAGS += \
		-L ../lib/waudio \
		-L ../lib/libmedia \
		-L ../lib/binder \
		-L ../lib/utils \
		-L ../lib/libcutils \
		-L ../lib/liblog
		
SHARED_LIBS += -lwaudio -lpthread -lrt -ldl -lz -lm -lmedia -lbinder -lutils -lcutils -llog

# This last macro is rarely used, it is intended to allow
# a system library to be replaced, e.g. with a debug version
# if used it should be -L<dir1> -L<dir2> etc.
#PKGLIBS =

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_app
