=== lib/utils/Makefile ===
make_home := ../..
top_srcdir := ../..


include $(make_home)/project_make
WARN = -Wall
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = utils

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CPPFILES = Asset.cpp \
        AssetDir.cpp \
        AssetManager.cpp \
        BufferedTextOutput.cpp \
        BackupData.cpp \
        BackupHelpers.cpp \
        BlobCache.cpp \
        CallStack.cpp \
        Debug.cpp \
        FileMap.cpp \
        Flattenable.cpp \
        LinearTransform.cpp \
        Looper.cpp \
        misc.cpp \
        ObbFile.cpp \
        PropertyMap.cpp \
        RefBase.cpp \
        ResourceTypes.cpp \
        SharedBuffer.cpp \
        Static.cpp \
        StopWatch.cpp \
        StreamingZipInflater.cpp \
        String8.cpp \
        String16.cpp \
        StringArray.cpp \
        SystemClock.cpp \
        TextOutput.cpp \
        Threads.cpp \
        Timers.cpp \
        Tokenizer.cpp \
        Unicode.cpp \
        VectorImpl.cpp \
        ZipFileCRO.cpp \
        ZipFileRO.cpp \
        ZipUtils.cpp

#        BufferedTextOutput.cpp \

#CCFILES =
#CPPFILES =
#CXXFILES =

FORCE_CXX_LINK = TRUE

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DHAVE_OFF64_T $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += -L ../liblog
SHARED_LIBS += -llog -lz -lrt

# build private static library
private_lib = NO 

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib
