=== lib/waudio/Makefile ===
make_home := ../..
top_srcdir := ../..

include $(make_home)/project_make
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = waudio

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CPPFILES = android_audio_wrapper.cpp
#CCFILES =
#CPPFILES =
#CXXFILES =

FORCE_CXX_LINK = TRUE

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS = ../libmedia/libmedia.a ../libbinder/libbinder.a ../libutils/libutils.a ../libcutils/libcutils.a ../liblog/liblog.a

# modify compiler command-line options
CFLAGS = -fPIC -DHAVE_ANDROID_OS=1 $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += --sysroot=$(rootfs_path) $(PKGLDFLAGS) -L ../libmedia/

SHARED_LIBS += -lmedia

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib
