=== lib/wpcmplugin/Makefile ===
make_home := ../../
top_srcdir := ../../


oss_pkg_config_args = "alsa"

include $(make_home)/project_make
include $(make_home)/package_make

#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = asound_module_pcm_android

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = pcm_android.c
#CCFILES =
#CPPFILES =
#CXXFILES =

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DPIC

# modify linker command-line options
LDFLAGS += $(PKGLDFLAGS) -L ../waudio/

SHARED_LIBS += -lwaudio -lasound

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS = 

MAKESUBDIR = YES

ifeq ($(ARCH), armel)
LIBSUBDIR = /usr/lib/arm-linux-gnueabi/alsa-lib
endif
ifeq ($(ARCH), armhf)
LIBSUBDIR = /usr/lib/arm-linux-gnueabihf/alsa-lib
endif

HDRSUBDIR = /usr/include/alsa

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib
