=== debian/changelog ===
android-audiosystem (1.0-1-newyork10) precise; urgency=low

  * Because we modify pulseaudio's config file, we need to depend on it,
  otherwise if the build order changes (like it does when we switch to a
  metapackage), pulse fails to install.

 -- Matthew Fischer <matthew.fischer@canonical.com>  Thu, 04 Apr 2013 11:30:14 -0600

android-audiosystem (1.0-1-newyork9) precise; urgency=low

  * Rename alsa plugins from moto to android.  LP#1028006.

 -- Michael Frey <michael.frey@canonical.com>  Mon, 23 Jul 2012 14:57:46 -0400

android-audiosystem (1.0-1-newyork8) precise; urgency=low

  * Fix install of pulse and alsa config files.

 -- Michael Frey <michael.frey@canonical.com>  Tue, 12 Jun 2012 10:12:00 -0400

android-audiosystem (1.0-1-newyork7) precise; urgency=low

  * Fix alsa libs install paths
  * Prevent installation of pulseaudio conf files

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Wed, 06 Jun 2012 15:57:21 -0430

android-audiosystem (1.0-1-newyork6) precise; urgency=low

  * Expand internal build support for armhf targers
  * Release newyork6

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 05 Jun 2012 16:18:55 -0430

android-audiosystem (1.0-1-newyork5) precise; urgency=low

  * Release under correct pocket

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 05 Jun 2012 11:07:56 -0430

android-audiosystem (1.0-1-newyork4) quantal; urgency=low

  * Add armhf to supported architectures

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 05 Jun 2012 10:21:36 -0430

android-audiosystem (1.0-1-newyork3) precise; urgency=low

  * Change prefix to /usr and remove empty dirs

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Mon, 04 Jun 2012 14:44:25 -0430

android-audiosystem (1.0-1-newyork2) precise; urgency=low

  * Recreate package structure
    - Collapsed both rootfs/src directories
    - Fix installation paths for config files
    - Create links for newly installed libraries
    - Cleanup of various control files
    - Change alsa libraries installation target

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Fri, 01 Jun 2012 15:02:24 -0430

android-audiosystem (1.0-1-newyork1) precise; urgency=medium

  * Initial release pulled from the Motorola upstream (version 1.0-1) and merged with Android 4.0 libraries. 

 -- Lorenzo Polidori <lorenzo.polidori@canonical.com>  Wed, 30 May 2012 12:37:52 +0100
