=== debian/control ===
Source: android-audiosystem
Section: devel
Priority: extra
Maintainer: Lorenzo Polidori <lorenzo.polidori@canonical.com>
Build-Depends: debhelper (>= 7), zlib1g-dev, libasound2-dev, pkg-config
Standards-Version: 3.9.3.1

Package: android-audiosystem
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends},
 pulseaudio
Description: ALSA pcm plugin solution routing data to android audioflinger
