## android-audiosystem 1.8+13.10.20130807

=== app/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 		-L ../lib/libcutils \
 		-L ../lib/liblog
 		
-SHARED_LIBS += -lwaudio -lpthread -lrt -ldl -lz -lm -lmedia -lbinder -lutils -lcutils -llog
+SHARED_LIBS += -lwaudio -ldl -lz -lm -lmedia -lbinder -lutils -lcutils -llog
 
 # This last macro is rarely used, it is intended to allow
 # a system library to be replaced, e.g. with a debug version
@@ -57,7 +57,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_app
