=== lib/binder/Makefile ===
--- 
+++ 
@@ -22,7 +22,6 @@
 
 CPPFILES = Binder.cpp \
         BpBinder.cpp \
-        CursorWindow.cpp \
         IInterface.cpp \
         IMemory.cpp \
         IPCThreadState.cpp \
@@ -31,7 +30,6 @@
         MemoryBase.cpp \
         MemoryDealer.cpp \
         MemoryHeapBase.cpp \
-        MemoryHeapPmem.cpp \
         Parcel.cpp \
         PermissionCache.cpp \
         ProcessState.cpp \
@@ -55,7 +53,7 @@
 SHARED_LIBS += -llog
 
 # build private static library
-private_lib = NO
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -80,7 +78,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
