=== lib/libcutils/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
     record_stream.c \
     process_name.c \
     properties.c \
+    qsort_r_compat.c \
     threads.c \
     sched_policy.c \
     iosched_policy.c \
@@ -51,16 +52,25 @@
     tztime.c \
     zygote.c \
     ashmem-dev.c \
+    debugger.c \
     mot_pthread.c \
     android_reboot.c \
     partition_utils.c \
     uevent.c \
     qtaguid.c \
     klog.c \
+    fs.c \
+    multiuser.c \
     memory.c
 
 CFLAGS += -DHAVE_MEMSET16 -DHAVE_MEMSET32
+
+ifeq ($(ARCH), armhf)
 SFILES += arch-arm/memset32.S atomics_arm.S atomic-android-arm.S
+endif
+ifeq ($(ARCH), i386)
+SFILES += arch-x86/android_memset16.S atomics_x86.S arch-x86/android_memset32.S
+endif
 
 #CCFILES =
 #CPPFILES =
@@ -79,7 +89,7 @@
 SHARED_LIBS += -llog -lpthread -lrt
 
 # build private static library
-private_lib = NO
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -104,7 +114,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
