=== lib/liblog/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #LDFLAGS =
 
 # build private static library
-private_lib = NO
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -60,7 +60,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
