=== lib/libmedia/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 SHARED_LIBS += -lcutils -lutils -lbinder -lpthread
 
 # build private static library
-private_lib = NO 
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -74,7 +74,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
