=== lib/utils/Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 SHARED_LIBS += -llog -lz -lrt
 
 # build private static library
-private_lib = NO 
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -101,7 +101,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
