=== lib/waudio/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 # if this library depends on private static library built
 # by this package, uncomment next line
-#STATIC_LIBS = ../libmedia/libmedia.a ../libbinder/libbinder.a ../libutils/libutils.a ../libcutils/libcutils.a ../liblog/liblog.a
+STATIC_LIBS = ../libmedia/libmedia.a ../binder/libbinder.a ../utils/libutils.a ../libcutils/libcutils.a ../liblog/liblog.a ../audio_utils/libaudioutils.a
 
 # modify compiler command-line options
 CFLAGS = -fPIC -DHAVE_ANDROID_OS=1 $(CONFIG_DEFINES)
@@ -35,10 +35,14 @@
 # modify linker command-line options
 LDFLAGS += --sysroot=$(rootfs_path) $(PKGLDFLAGS) -L ../libmedia/
 
-SHARED_LIBS += -lmedia
+SHARED_LIBS += -lmedia -lpthread -lrt
 
 # build private static library
 private_lib = NO
+
+# for proper SONAME
+LIBMAJOR = 1
+LIBMINOR = 0
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -63,7 +67,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
