=== lib/wctlplugin/Makefile ===
--- 
+++ 
@@ -53,12 +53,7 @@
 
 MAKESUBDIR = YES
 
-ifeq ($(ARCH), armel)
-LIBSUBDIR = /usr/lib/arm-linux-gnueabi/alsa-lib
-endif
-ifeq ($(ARCH), armhf)
-LIBSUBDIR = /usr/lib/arm-linux-gnueabihf/alsa-lib
-endif
+LIBSUBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib
 
 HDRSUBDIR = /usr/include/alsa
 
@@ -68,7 +63,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
